Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.apache.ode.bpel.iapi
Enum MessageExchange.FailureType

    java.lang.Object
      java.lang.Enum<MessageExchange.FailureType>
          org.apache.ode.bpel.iapi.MessageExchange.FailureType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<MessageExchange.FailureType>

Enclosing interface:
  MessageExchange

    public static enum MessageExchange.FailureType

extends java.lang.Enum<MessageExchange.FailureType>

Enumeration of the types of failures.

Enum Constant Summary
`ABORTED` Message exchange processing was aborted.
`COMMUNICATION_ERROR` Network / IPC errror.
`FORMAT_ERROR` Request message was of an invalid/unrecognized format.
`INVALID_ENDPOINT` Requested endpoint is invalid.
`NO_RESPONSE` An internal failure: no response was provided.
`NOMATCH`
`OTHER` Other failure.
`UNKNOWN_ENDPOINT` Requested endpoint is unknown/unavailable.
`UNKNOWN_OPERATION` Requested operation is unknown/unimplemented.

Method Summary
`static MessageExchange.FailureType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static MessageExchange.FailureType[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### INVALID_ENDPOINT

    public static final MessageExchange.FailureType INVALID_ENDPOINT

  Requested endpoint is invalid.

### UNKNOWN_ENDPOINT

    public static final MessageExchange.FailureType UNKNOWN_ENDPOINT

  Requested endpoint is unknown/unavailable.

### UNKNOWN_OPERATION

    public static final MessageExchange.FailureType UNKNOWN_OPERATION

  Requested operation is unknown/unimplemented.

### COMMUNICATION_ERROR

    public static final MessageExchange.FailureType COMMUNICATION_ERROR

  Network / IPC errror.

### FORMAT_ERROR

    public static final MessageExchange.FailureType FORMAT_ERROR

  Request message was of an invalid/unrecognized format.

### NO_RESPONSE

    public static final MessageExchange.FailureType NO_RESPONSE

  An internal failure: no response was provided.

### ABORTED

    public static final MessageExchange.FailureType ABORTED

  Message exchange processing was aborted.

### OTHER

    public static final MessageExchange.FailureType OTHER

  Other failure.

### NOMATCH

    public static final MessageExchange.FailureType NOMATCH

Method Detail

### values

    public static final MessageExchange.FailureType[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(MessageExchange.FailureType c : MessageExchange.FailureType.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static MessageExchange.FailureType valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD